org.mariadb.jdbc.internal.io.input

## Interface PacketInputStream

All Known Implementing Classes:
  DecompressPacketInputStream, StandardPacketInputStream

    public interface PacketInputStream

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `close()`
`int` `getCompressLastPacketSeq()`
`int` `getLastPacketLength()`
`int` `getLastPacketSeq()`
`Buffer` `getPacket(boolean reUsable)`
`byte[]` `getPacketArray(boolean reUsable)`
`void` `setServerThreadId(long serverThreadId, Boolean isMaster)`

### Method Detail

#### getPacket

    Buffer getPacket(boolean reUsable)
              throws IOException

Throws:
  `IOException`

#### getPacketArray

    byte[] getPacketArray(boolean reUsable)
                   throws IOException

Throws:
  `IOException`

#### getLastPacketLength

    int getLastPacketLength()

#### getLastPacketSeq

    int getLastPacketSeq()

#### getCompressLastPacketSeq

    int getCompressLastPacketSeq()

#### close

    void close()
        throws IOException

Throws:
  `IOException`

#### setServerThreadId

    void setServerThreadId(long serverThreadId,
                           Boolean isMaster)